package de.avatic.lcc.dto.bulk;

import com.fasterxml.jackson.annotation.JsonProperty;
import de.avatic.lcc.dto.error.ErrorLogDTO;

import java.time.LocalDateTime;

public class BulkOperationDTO {

    private int id;

    @JsonProperty("file_type")
    private BulkFileType fileType;

    @JsonProperty("processing_type")
    private BulkProcessingType processingType;

    private BulkOperationState state;

    @JsonProperty("timestamp")
    private LocalDateTime createdAt;

    private ErrorLogDTO error;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public BulkFileType getFileType() {
        return fileType;
    }

    public void setFileType(BulkFileType fileType) {
        this.fileType = fileType;
    }

    public BulkProcessingType getProcessingType() {
        return processingType;
    }

    public void setProcessingType(BulkProcessingType processingType) {
        this.processingType = processingType;
    }

    public BulkOperationState getState() {
        return state;
    }

    public void setState(BulkOperationState state) {
        this.state = state;
    }

    public LocalDateTime getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(LocalDateTime createdAt) {
        this.createdAt = createdAt;
    }

    public void setError(ErrorLogDTO error) {
        this.error = error;
    }

    public ErrorLogDTO getError() {
        return error;
    }
}
